Alokai

SapccApiGetDefaultProductConfigurationRequest

Request parameters for getDefaultProductConfiguration operation in SapccApi. SapccApiGetDefaultProductConfigurationRequest

interface SapccApiGetDefaultProductConfigurationRequest {
	readonly baseSiteId: string;
	readonly configIdTemplate?: string;
	readonly expMode?: boolean;
	readonly forceReset?: boolean;
	readonly productCode: string;
	readonly provideAllAttributes?: boolean;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetDefaultProductConfiguration
configIdTemplateOptionalstringIf this parameter is provided, the template configuration values will be applied to the default configuration {string} SapccApiGetDefaultProductConfiguration
expModeOptionalbooleanIf this parameter is provided and its value is true, the system tries to execute the request in expert mode (only possible if the current user belongs to group 'sapproductconfigexpmodegroup' {boolean} SapccApiGetDefaultProductConfiguration
forceResetOptionalbooleanIf this parameter is provided and its value is true, the system will force the creation of a new configuration independent of an existing configuration {boolean} SapccApiGetDefaultProductConfiguration
productCodeRequiredstringProduct code {string} SapccApiGetDefaultProductConfiguration
provideAllAttributesOptionalbooleanIf this parameter is provided and its value is true, attributes for all groups are returned. Otherwise, attributes only for the first group are considered. {boolean} SapccApiGetDefaultProductConfiguration

On this page